//############################################################################
//								  GPS - Version 1.0
//								Author: Tony Schattat
//                               Copyright (C) 2007
//############################################################################

#ifndef _MAIN_H
 #define _MAIN_H

#define SYSCLK 14310000		//Oscillator frequency in Hz (Default is 1mHz)
#define F_CPU  SYSCLK

#define __STDIO_FDEVOPEN_COMPAT_12         // use old implementation of fdevopen
#include <stdio.h>
#include <stdint.h>
#include <stdbool.h>
#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#define BAUD 4800*16         
#define baud 183	//185 optimal, my antenna sends 204s long bits resulting in 4860 baud... //F_CPU/BAUD -1
#define out_en	1
#define clock0	2	//shift register connections
#define data0	4
#define max_degree	240
#define preload0	249
 
#if ((BAUD_ERROR>10) || (BAUD_ERROR<-10))
  #error Systematischer Fehler der Baudrate grsser 1% und damit zu hoch! 
#endif

#endif //_MAIN_H
/*################################*/
